core.node.storage / PerFileCheckpointStorage

# PerFileCheckpointStorage

`class PerFileCheckpointStorage : CheckpointStorage`

File-based checkpoint storage, storing checkpoints per file.

### Constructors

<init> | `PerFileCheckpointStorage(storeDir: Path)` File-based checkpoint storage, storing checkpoints per file.

### Properties

checkpoints | `val checkpoints: Iterable<Checkpoint>` Returns a snapshot of all the checkpoints in the store. This may return more checkpoints than were added to this instance of the store; for example if the store persists checkpoints to disk.
storeDir | `val storeDir: Path`

### Functions

addCheckpoint | `fun addCheckpoint(checkpoint: Checkpoint): Unit` Add a new checkpoint to the store.
removeCheckpoint | `fun removeCheckpoint(checkpoint: Checkpoint): Unit` Remove existing checkpoint from the store. It is an error to attempt to remove a checkpoint which doesnt exist in the store. Doing so will throw an IllegalArgumentException.